Fork me on GitHub"

# skbio.stats.gradient.GradientANOVAResults

class skbio.stats.gradient.GradientANOVAResults(algorithm, weighted, categories)

  Store the trajectory results

  algorithm

    The algorithm used to compute trajectories

    Type:

      str

  weighted

    If true, a weighting vector was used

    Type:

      bool

  categories

    The trajectory results for each metadata category

    Type:

      list of CategoryResults

  Built-ins

  `__getstate__`() | Helper for pickle.
  `__hash__`() | Return hash(self).

  Methods

  `to_files`(out_f, raw_f) | Save the trajectory analysis results to files in text format.